#pragma once

#include "DrawingShape.h"
#include "NPCommonUI.h"
#include "Layout.h"
#include "RectangleShape.h"
#include "ScriptletContainerFactory.h"

interface IImage;

/**
 * \group PlayManager
 * \date 2007-07-26
 * \author hhd
 * \brief 
	{kr}
		Native Window  Border ׷ֱ  Rectangle Shape 2 ̿Ͽ Border ȿ .
	{/kr}
 */
class NPCOMMONUI_API CBorderShape	: public CDrawingShape									
{
public:
	DECLARE_RTTI;

	DECLARE_COMPONENT_CREATOR(CBorderShape);
	CBorderShape();
	virtual ~CBorderShape();

	LPCTSTR GetClassName() { return SCRIPTLET_BORDERSHAPE_NODE; }
	/**
	 * \brief {kr} Border  . {/kr}
	 */
	void SetBorderColor(COLORREF clr);
	/**
	 * \brief {kr} Border   . {/kr}
	 */
	void SetInnerColor(COLORREF clr);

	/**
	 * \brief {kr} Border β . {/kr}
	 */
	void SetBorderDepth(LPRECT prcBorderDepth);
	/**
	 * \brief {kr} Border β . {/kr}
	 */
	void SetBorderDepth(int nBorderDepth);

	void DoLayout(CContainer* parent);
protected:
private:
	void _MoveRsInner();

	CRectangleShape* m_RsBg;
	CRectangleShape* m_RsInner;
	CRect m_rcBorderDepth;
};